
// GetPeakValuesDlg.h : header file
//

#pragma once


//#error "This must be changed to the path where the SpectraPLUS-SC executable is installed"
//#import "C:\Program Files\SpectraPLUS_SC\bin\SPAxnIface.tlb" no_namespace  // for 32 bit Windows
#import "C:\Program Files (x86)\SpectraPLUS_SC\bin\SPAxnIface.tlb" no_namespace  // for 64 bit windows


// CGetPeakValuesDlg dialog
class CGetPeakValuesDlg : public CDialog
{
// Construction
public:
	CGetPeakValuesDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_GETPEAKVALUES_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	ISpectraPLUS_SCPtr	m_SP;    

	CEdit  m_EDStartHz;
	CEdit  m_EDStopHz;

	CEdit  m_EDFreq_0;
	CEdit  m_EDFreq_1;

	CEdit  m_EDLevel_0;
	CEdit  m_EDLevel_1;

	CComboBox  m_CBPeakNumber;

	void GetResults();

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOpen();
	afx_msg void OnBnClickedRun();
	afx_msg void OnBnClickedStop();
	afx_msg void OnEnChangeStartHz();
	afx_msg void OnEnChangeStopHz();
	afx_msg void OnSelChangePeakNumber();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnClose();
};
